import React from 'react';
import { Command, CommandOptions } from '@teambit/cli';
import { Logger } from '@teambit/logger';
import type { UiMain } from './ui.main.runtime';
export declare class StartCmd implements Command {
    private ui;
    private logger;
    name: string;
    description: string;
    alias: string;
    group: string;
    shortDescription: string;
    options: CommandOptions;
    constructor(ui: UiMain, logger: Logger);
    report([uiRootName, userPattern]: [string, string], { dev, port, rebuild, verbose, }: {
        dev: boolean;
        port: string;
        rebuild: boolean;
        verbose: boolean;
        suppressBrowserLaunch: boolean;
    }): Promise<string>;
    render([uiRootName, userPattern]: [string, string], { dev, port, rebuild, verbose, }: {
        dev: boolean;
        port: string;
        rebuild: boolean;
        verbose: boolean;
        suppressBrowserLaunch: boolean;
    }): Promise<React.ReactElement>;
}
